For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add Favorite HS Code

Add specific HSCode to Favorite.

/hs-codes/favorites

POST https://api.terminal.africa/v1/hs-codes/favorites

This endpoint allows you to add HS code to favorite for easy retrieval.

Headers

Name
Type
Description

Authorization*

String

Set value to Bearer SECRET_KEY

Request Body

Name
Type
Description

hs_code_id*

String

hs code id from ai search

{
    "status": true,
    "message": "Favorite HS code added successfully",
    "data": {
        "user": "USER-88326257301",
        "description": "14-inch laptop computer",
        "hs_code": "8471300100",
        "scientific_name": "",
        "regulatory_documents": [],
        "_id": "6a102b120a4bd930c731aed8",
        "hs_code_id": "HS-F6C4469JUBGCFVGK",
        "created_at": "2026-05-22T10:08:18.448Z",
        "updated_at": "2026-05-22T10:08:18.448Z",
        "__v": 0,
        "id": "6a102b120a4bd930c731aed8"
    }
}

Last updated

Was this helpful?